Groovy 1.7.10

## groovy.util
[Groovy] Class FileNameFinder

    java.lang.Object
      groovy.util.FileNameFinder

All Implemented Interfaces:
  IFileNameFinder

    class FileNameFinder
    extends Object

Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to Ant's fileset pattern conventions.

Authors:
  Dierk Koenig
  Paul King

Method Summary
`List` | `getFileNames(String basedir, String pattern)`
`List` | `getFileNames(String basedir, String pattern, String excludesPattern)`
`List` | `getFileNames(Map args)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getFileNames

    List getFileNames(String basedir, String pattern)

### getFileNames

    List getFileNames(String basedir, String pattern, String excludesPattern)

### getFileNames

    List getFileNames(Map args)

Copyright © 2003-2010 The Codehaus. All rights reserved.